extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "UnidadMedida"
    - var ListadoCabecera = ["Unidad","Descripcion","Simbolo","Factor_venta"]
    - var TamanoColeccion = "tUnidades.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tUnidad of tUnidades | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tUnidad})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tUnidad.Codunidadmedida }}
        td
            h6.text-nowrap {{ tUnidad.Descripcion }}
        td
            h6 {{ tUnidad.Simbolo }}
        td
            h6 {{ tUnidad.Factor_venta }}